#ifdef VHDL

/*
 * $Id$
 *
 * [ Description ]
 * 
 */

#include "Behavioural/include/Vhdl.h"

#include <sstream>

namespace morpheo              {
namespace behavioural          {
  
#undef  FUNCTION
#define FUNCTION "Vhdl::set_body_component"
  void Vhdl::set_body_component (std::string         name_instance      ,
				 std::string         name_component     ,
				 std::list<std::string>   list_port_map      )
  {
    log_printf(FUNC,Behavioural,FUNCTION,"Begin");

    set_body(name_instance + " : " + name_component);
    set_body("port map (");
    set_list(_list_body, get_list(list_port_map, 1, ",", false));
    set_body(");");

    log_printf(FUNC,Behavioural,FUNCTION,"End");
  };
  
}; // end namespace behavioural          
}; // end namespace morpheo              

#endif
